### Virtual Method

# Hinawa FwFcp responded

since: 4.0

#### Declaration [src]

    void
    responded (
      HinawaFwFcp* self,
      guint generation,
      guint tstamp,
      const guint8* frame,
      guint frame_size
    )

#### Description [src]

Class closure for the `HinawaFwFcp::responded` signal.

Available since: 4.0

#### Parameters

`generation`

  Type: `guint`

  The generation of bus topology.

`tstamp`

  Type: `guint`

  The time stamp at which the request subaction arrived for the response of FCP transaction.

`frame`

  Type: An array of `guint8`

  The array with elements for byte data in the response of Function Control Protocol.

  The length of the array is specified in the `frame_size` argument.
  The data is owned by the caller of the method.

`frame_size`

  Type: `guint`

  The number of elements of the array.